# Generated by Django 3.1.4 on 2021-02-17 13:04

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('events', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='events',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='own_events', to=settings.AUTH_USER_MODEL, verbose_name='Event_id'),
        ),
        migrations.AddField(
            model_name='activity',
            name='organizations',
            field=models.ManyToManyField(related_name='activities', through='events.OrganizationAndActivity', to='events.Organization'),
        ),
        migrations.AlterUniqueTogether(
            name='events',
            unique_together={('post_id', 'organization')},
        ),
    ]
